#
# spec file for package kadmin (Version 1.0)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake autoconf qtlib qtdevel gpp libgpp ksupp klibs kbase gettext libgif libjpeg

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         kadmin
Release:      6
Copyright:    1997,1998 The KDE-Team
Group: 
Provides:     X11 kdeadmin 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Summary:      KDE system administration
Version:      1.0
Source:  kdeadmin-1.0.tar.gz 
Patch:   kdeadmin-1.0.dif
%description
KDE is still in an early development stage (beta). Thus, KDE being
relatively stable, it may nevertheless happen that any of the KDE
applications crashes or produces strange effects.
Newest KDE packages adepted to S.u.S.E. Linux may be found at
ftp://ftp.suse.com/pub/suse_update/KDE. 
General information for KDE can be found at the respective addresses
in WWW (http://www.kde.org) or our support database
(http://www.suse.de/Support/sdb). 
This package contains kdeadmin, some tools which are useful
to administrate the system.
Documentation in
/usr/doc/packages/kde/kadmin 

Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -n kdeadmin-1.0
%patch
%build
. variables.sh
cd ..
export PATH=.:$PATH
for FILE in `find -name "*.P"` `find -name "config.cache"` `find -name "config.status"`
do
    echo -n "Removing $FILE..."
    rm -f $FILE
    echo "Done."
done
for DIR in *
do
    ( 
	cd $DIR 
	test -f configure && \
	    chmod u+x configure && \
	    ./configure \
		--prefix=${KDEDIR} \
		--with-qt-dir=${QTDIR} \
		--with-qt-includes=${QTDIR}/include \
		--with-qt-libraries=${QTDIR}/lib
	test -f Makefile && make 
    )
done
%install
. variables.sh
export PATH=.:$PATH
cd ..
for DIR in *
do
    ( cd $DIR && make install )
done
Check
%files
%dir /opt/kde/share/apps/ksysv
%dir /opt/kde/share/apps/ksysv/pics
%dir /opt/kde/share/apps/ksysv/toolbar
%dir /opt/kde/share/apps/kuser
%dir /opt/kde/share/apps/kuser/pics
%docdir /opt/kde/share/doc/HTML/en/ksysv
%docdir /opt/kde/share/doc/HTML/en/kuser
%docdir /opt/kde/share/doc/HTML/es/kuser
%docdir /opt/kde/share/doc/HTML/ru/kuser
/opt/kde/bin/ksysv
/opt/kde/bin/kuser
/opt/kde/share/applnk/System/ksysv.kdelnk
/opt/kde/share/applnk/System/kuser.kdelnk
/opt/kde/share/apps/ksysv/pics/ksysv_exec.xpm
/opt/kde/share/apps/ksysv/pics/ksysv_help.xpm
/opt/kde/share/apps/ksysv/pics/ksysv_info.xpm
/opt/kde/share/apps/ksysv/pics/ksysv_logo.xpm
/opt/kde/share/apps/ksysv/pics/ksysv_qt.xpm
/opt/kde/share/apps/ksysv/pics/ksysv_restart.xpm
/opt/kde/share/apps/ksysv/pics/ksysv_splash.xpm
/opt/kde/share/apps/ksysv/pics/ksysv_start.xpm
/opt/kde/share/apps/ksysv/pics/ksysv_stop.xpm
/opt/kde/share/apps/ksysv/toolbar/clear.xpm
/opt/kde/share/apps/ksysv/toolbar/idea.xpm
/opt/kde/share/apps/ksysv/toolbar/info.xpm
/opt/kde/share/apps/ksysv/toolbar/save.xpm
/opt/kde/share/apps/ksysv/toolbar/toggle.xpm
/opt/kde/share/apps/kuser/pics/group.xpm
/opt/kde/share/apps/kuser/pics/grpadd.xpm
/opt/kde/share/apps/kuser/pics/grpdel.xpm
/opt/kde/share/apps/kuser/pics/grpedit.xpm
/opt/kde/share/apps/kuser/pics/user.xpm
/opt/kde/share/apps/kuser/pics/useradd.xpm
/opt/kde/share/apps/kuser/pics/userdel.xpm
/opt/kde/share/apps/kuser/pics/useredit.xpm
%doc /opt/kde/share/doc/HTML/en/ksysv/ksysv-1.html
%doc /opt/kde/share/doc/HTML/en/ksysv/ksysv-2.html
%doc /opt/kde/share/doc/HTML/en/ksysv/ksysv-3.html
%doc /opt/kde/share/doc/HTML/en/ksysv/ksysv-4.html
%doc /opt/kde/share/doc/HTML/en/ksysv/ksysv.html
%doc /opt/kde/share/doc/HTML/en/kuser/bugnet-member.gif
%doc /opt/kde/share/doc/HTML/en/kuser/index.html
%doc /opt/kde/share/doc/HTML/es/kuser/bugnet-member.gif
%doc /opt/kde/share/doc/HTML/es/kuser/index.html
%doc /opt/kde/share/doc/HTML/ru/kuser/bugnet-member.gif
%doc /opt/kde/share/doc/HTML/ru/kuser/index.html
/opt/kde/share/icons/ksysv.xpm
/opt/kde/share/icons/kuser.xpm
/opt/kde/share/icons/mini/ksysv.xpm
/opt/kde/share/icons/mini/kuser.xpm
/opt/kde/share/locale/cs/LC_MESSAGES/ksysv.mo
/opt/kde/share/locale/cs/LC_MESSAGES/kuser.mo
/opt/kde/share/locale/de/LC_MESSAGES/kuser.mo
/opt/kde/share/locale/es/LC_MESSAGES/kuser.mo
/opt/kde/share/locale/fi/LC_MESSAGES/ksysv.mo
/opt/kde/share/locale/fi/LC_MESSAGES/kuser.mo
/opt/kde/share/locale/fr/LC_MESSAGES/kuser.mo
/opt/kde/share/locale/hr/LC_MESSAGES/ksysv.mo
/opt/kde/share/locale/hr/LC_MESSAGES/kuser.mo
/opt/kde/share/locale/hu/LC_MESSAGES/kuser.mo
/opt/kde/share/locale/it/LC_MESSAGES/kuser.mo
/opt/kde/share/locale/nl/LC_MESSAGES/kuser.mo
/opt/kde/share/locale/no/LC_MESSAGES/ksysv.mo
/opt/kde/share/locale/no/LC_MESSAGES/kuser.mo
/opt/kde/share/locale/pl/LC_MESSAGES/kuser.mo
/opt/kde/share/locale/pt/LC_MESSAGES/ksysv.mo
/opt/kde/share/locale/pt/LC_MESSAGES/kuser.mo
/opt/kde/share/locale/pt_BR/LC_MESSAGES/ksysv.mo
/opt/kde/share/locale/pt_BR/LC_MESSAGES/kuser.mo
/opt/kde/share/locale/ru/LC_MESSAGES/kuser.mo
/opt/kde/share/locale/sk/LC_MESSAGES/ksysv.mo
/opt/kde/share/locale/sk/LC_MESSAGES/kuser.mo
/opt/kde/share/locale/zh_CN.GB2312/LC_MESSAGES/ksysv.mo
/opt/kde/share/locale/zh_CN.GB2312/LC_MESSAGES/kuser.mo

